org.richfaces.view.facelets

## Class EventListenerHandler.LazyEventListener<L extends javax.faces.event.FacesListener>

- java.lang.Object
- - org.richfaces.view.facelets.EventListenerHandler.LazyEventListener<L>

- All Implemented Interfaces:
    Serializable, EventListener, javax.faces.event.FacesListener
  Enclosing class:
    EventListenerHandler

      public abstract static class EventListenerHandler.LazyEventListener<L extends javax.faces.event.FacesListener>
      extends Object
      implements javax.faces.event.FacesListener, Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.el.ValueExpression` | `binding`
    `protected String` | `type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EventListenerHandler.LazyEventListener(String type, javax.el.ValueExpression binding)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processEvent(javax.faces.event.FacesEvent event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          protected final String type

    - #### binding

          protected final javax.el.ValueExpression binding

  - ### Constructor Detail

    - #### EventListenerHandler.LazyEventListener

          protected EventListenerHandler.LazyEventListener(String type,
                                                javax.el.ValueExpression binding)

  - ### Method Detail

    - #### processEvent

          public void processEvent(javax.faces.event.FacesEvent event)
                            throws javax.faces.event.AbortProcessingException

      Throws:
        `javax.faces.event.AbortProcessingException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.